 drivers/net/hamradio/dmascc.c  |    7 ++-----
 drivers/net/irda/ali-ircc.c    |    7 ++-----
 drivers/net/irda/donauboe.c    |    7 +------
 drivers/net/irda/irda-usb.c    |   10 ++++------
 drivers/net/irda/irport.c      |    7 ++-----
 drivers/net/irda/irtty.c       |    7 ++-----
 drivers/net/irda/nsc-ircc.c    |    7 ++-----
 drivers/net/irda/sa1100_ir.c   |    7 ++-----
 drivers/net/irda/toshoboe.c    |    8 ++------
 drivers/net/irda/w83977af_ir.c |    7 ++-----
 10 files changed, 21 insertions(+), 53 deletions(-)

diff -puN drivers/net/hamradio/dmascc.c~unregister_netdev-cleanup drivers/net/hamradio/dmascc.c
--- 25/drivers/net/hamradio/dmascc.c~unregister_netdev-cleanup	2003-05-26 00:21:08.000000000 -0700
+++ 25-akpm/drivers/net/hamradio/dmascc.c	2003-05-26 00:21:08.000000000 -0700
@@ -324,11 +324,8 @@ void cleanup_module(void) {
 
     /* Unregister devices */
     for (i = 0; i < 2; i++) {
-      if (info->dev[i].name) {
-	rtnl_lock();
-	unregister_netdevice(&info->dev[i]);
-	rtnl_unlock();
-      }
+      if (info->dev[i].name)
+	unregister_netdev(&info->dev[i]);
     }
 
     /* Reset board */
diff -puN drivers/net/irda/ali-ircc.c~unregister_netdev-cleanup drivers/net/irda/ali-ircc.c
--- 25/drivers/net/irda/ali-ircc.c~unregister_netdev-cleanup	2003-05-26 00:21:08.000000000 -0700
+++ 25-akpm/drivers/net/irda/ali-ircc.c	2003-05-26 00:21:08.000000000 -0700
@@ -390,11 +390,8 @@ static int __exit ali_ircc_close(struct 
         iobase = self->io.fir_base;
 
 	/* Remove netdevice */
-	if (self->netdev) {
-		rtnl_lock();
-		unregister_netdevice(self->netdev);
-		rtnl_unlock();
-	}
+	if (self->netdev)
+		unregister_netdev(self->netdev);
 
 	/* Release the PORT that this driver is using */
 	IRDA_DEBUG(4, "%s(), Releasing Region %03x\n", __FUNCTION__, self->io.fir_base);
diff -puN drivers/net/irda/donauboe.c~unregister_netdev-cleanup drivers/net/irda/donauboe.c
--- 25/drivers/net/irda/donauboe.c~unregister_netdev-cleanup	2003-05-26 00:21:08.000000000 -0700
+++ 25-akpm/drivers/net/irda/donauboe.c	2003-05-26 00:21:08.000000000 -0700
@@ -1579,12 +1579,7 @@ toshoboe_close (struct pci_dev *pci_dev)
     }
 
   if (self->netdev)
-    {
-      /* Remove netdevice */
-      rtnl_lock ();
-      unregister_netdevice (self->netdev);
-      rtnl_unlock ();
-    }
+      unregister_netdev(self->netdev);
 
   kfree (self->ringbuf);
   self->ringbuf = NULL;
diff -puN drivers/net/irda/irda-usb.c~unregister_netdev-cleanup drivers/net/irda/irda-usb.c
--- 25/drivers/net/irda/irda-usb.c~unregister_netdev-cleanup	2003-05-26 00:21:08.000000000 -0700
+++ 25-akpm/drivers/net/irda/irda-usb.c	2003-05-26 00:21:08.000000000 -0700
@@ -1231,12 +1231,10 @@ static inline int irda_usb_close(struct 
 	ASSERT(self != NULL, return -1;);
 
 	/* Remove netdevice */
-	if (self->netdev) {
-		rtnl_lock();
-		unregister_netdevice(self->netdev);
-		self->netdev = NULL;
-		rtnl_unlock();
-	}
+	if (self->netdev)
+		unregister_netdev(self->netdev);
+	self->netdev = NULL;
+
 	/* Remove the speed buffer */
 	if (self->speed_buff != NULL) {
 		kfree(self->speed_buff);
diff -puN drivers/net/irda/irport.c~unregister_netdev-cleanup drivers/net/irda/irport.c
--- 25/drivers/net/irda/irport.c~unregister_netdev-cleanup	2003-05-26 00:21:08.000000000 -0700
+++ 25-akpm/drivers/net/irda/irport.c	2003-05-26 00:21:08.000000000 -0700
@@ -267,11 +267,8 @@ int irport_close(struct irport_cb *self)
 	self->dongle = NULL;
 	
 	/* Remove netdevice */
-	if (self->netdev) {
-		rtnl_lock();
-		unregister_netdevice(self->netdev);
-		rtnl_unlock();
-	}
+	if (self->netdev)
+		unregister_netdev(self->netdev);
 
 	/* Release the IO-port that this driver is using */
 	IRDA_DEBUG(0 , "%s(), Releasing Region %03x\n", 
diff -puN drivers/net/irda/irtty.c~unregister_netdev-cleanup drivers/net/irda/irtty.c
--- 25/drivers/net/irda/irtty.c~unregister_netdev-cleanup	2003-05-26 00:21:08.000000000 -0700
+++ 25-akpm/drivers/net/irda/irtty.c	2003-05-26 00:21:08.000000000 -0700
@@ -282,11 +282,8 @@ static void irtty_close(struct tty_struc
 	self->dongle = NULL;
 
 	/* Remove netdevice */
-	if (self->netdev) {
-		rtnl_lock();
-		unregister_netdevice(self->netdev);
-		rtnl_unlock();
-	}
+	if (self->netdev)
+		unregister_netdev(self->netdev);
 	
 	self = hashbin_remove(irtty, (int) self, NULL);
 
diff -puN drivers/net/irda/nsc-ircc.c~unregister_netdev-cleanup drivers/net/irda/nsc-ircc.c
--- 25/drivers/net/irda/nsc-ircc.c~unregister_netdev-cleanup	2003-05-26 00:21:08.000000000 -0700
+++ 25-akpm/drivers/net/irda/nsc-ircc.c	2003-05-26 00:21:08.000000000 -0700
@@ -391,11 +391,8 @@ static int __exit nsc_ircc_close(struct 
         iobase = self->io.fir_base;
 
 	/* Remove netdevice */
-	if (self->netdev) {
-		rtnl_lock();
-		unregister_netdevice(self->netdev);
-		rtnl_unlock();
-	}
+	if (self->netdev)
+		unregister_netdev(self->netdev);
 
 	/* Release the PORT that this driver is using */
 	IRDA_DEBUG(4, "%s(), Releasing Region %03x\n", 
diff -puN drivers/net/irda/sa1100_ir.c~unregister_netdev-cleanup drivers/net/irda/sa1100_ir.c
--- 25/drivers/net/irda/sa1100_ir.c~unregister_netdev-cleanup	2003-05-26 00:21:08.000000000 -0700
+++ 25-akpm/drivers/net/irda/sa1100_ir.c	2003-05-26 00:21:08.000000000 -0700
@@ -1122,11 +1122,8 @@ static void __exit sa1100_irda_exit(void
 {
 	struct net_device *dev = dev_get_drvdata(&sa1100ir_device.dev);
 
-	if (dev) {
-		rtnl_lock();
-		unregister_netdevice(dev);
-		rtnl_unlock();
-	}
+	if (dev)
+		unregister_netdev(dev);
 
 	sys_device_unregister(&sa1100ir_device);
 	driver_unregister(&sa1100ir_driver);
diff -puN drivers/net/irda/toshoboe.c~unregister_netdev-cleanup drivers/net/irda/toshoboe.c
--- 25/drivers/net/irda/toshoboe.c~unregister_netdev-cleanup	2003-05-26 00:21:08.000000000 -0700
+++ 25-akpm/drivers/net/irda/toshoboe.c	2003-05-26 00:21:08.000000000 -0700
@@ -679,12 +679,8 @@ toshoboe_remove (struct pci_dev *pci_dev
       self->recv_bufs[i] = NULL;
     }
 
-  if (self->netdev) {
-	  /* Remove netdevice */
-	  rtnl_lock();
-	  unregister_netdevice(self->netdev);
-	  rtnl_unlock();
-  }
+  if (self->netdev)
+	  unregister_netdev(self->netdev);
 
   kfree (self->taskfilebuf);
   self->taskfilebuf = NULL;
diff -puN drivers/net/irda/w83977af_ir.c~unregister_netdev-cleanup drivers/net/irda/w83977af_ir.c
--- 25/drivers/net/irda/w83977af_ir.c~unregister_netdev-cleanup	2003-05-26 00:21:08.000000000 -0700
+++ 25-akpm/drivers/net/irda/w83977af_ir.c	2003-05-26 00:21:08.000000000 -0700
@@ -299,11 +299,8 @@ static int w83977af_close(struct w83977a
 #endif /* CONFIG_USE_W977_PNP */
 
 	/* Remove netdevice */
-	if (self->netdev) {
-		rtnl_lock();
-		unregister_netdevice(self->netdev);
-		rtnl_unlock();
-	}
+	if (self->netdev)
+		unregister_netdev(self->netdev);
 
 	/* Release the PORT that this driver is using */
 	IRDA_DEBUG(0 , "%s(), Releasing Region %03x\n", 

_
